1. Companies
Leadfeeder API
  • Introduction
  • Authentication
  • Getting Started
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • Account
    • List Accounts
  • Companies
    • Get Company Details
      GET
    • Retrieve Companies
      GET
    • Company Financial Reports
      GET
    • Search Company Signals
      POST
    • Search Companies
      POST
    • Match Companies
      POST
    • Retrieve Company IPs
      GET
    • Add Company to Lists
      POST
    • Remove Company from Lists
      DELETE
    • Assign Tags to Company
      POST
    • Unassign Tags from Company
      DELETE
  • Contacts
    • Get Contact Details
    • Retrieve Contacts
    • Search Contacts
    • Add Contact to Lists
    • Remove Contact from Lists
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
    • Retrieve Custom Feeds
    • Create a Custom Feed
    • Get Custom Feed Details
    • Update Custom Feed
    • Delete a Custom Feed
    • Retrieve Custom Feeds Folders
    • Retrieve Web Visits Tracker Script
    • Retrieve Visitor Companies
  • IP
    • Enrich Company IP Address
  • Tags
    • Retrieve Tags
    • Create Tag
    • Get Tag Details
    • Update Tag
    • Delete Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Get List Details
    • Update List
    • Delete List
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Get Custom Field Details
    • Update Custom Field
    • Delete Custom Field
  • Usage
    • Get Endpoints Usage
  • Reference Data
    • List of Industries
    • List of NACE / WZ codes
  • Schemas
    • Schemas
    • Response
    • AccountResponse
    • VisitLocationV1
    • IcpV1
    • LocationV1
    • CRMUserV1
    • CRMOrganizationV1
    • IpAddressExtendedV1
    • CRMContactV1
    • CompanyIpV1
    • CRMLeadV1
    • WebVisitV1
    • BuyerPersonaV1
    • CRMConnectionV1
    • CRMSuggestionV1
    • IpLocationV1
    • CRMGroupConnectionV1
    • AccountV1
    • CustomFeedRequestV1
    • MaskedContactSummaryV1
    • CustomFeedV1
    • CustomFeedFolderV1
    • WebVisitsTrackerScriptV1
    • CompanyLocationV1
    • Error401
    • AccountSummaryV1
    • Error403
    • ErrorObjectV1
    • MaskedCompanySummaryV1
    • CompanyV1
    • Error429
    • NetworkV1
    • CompanyFinancialsV1
    • Error404
    • Error500
    • SignalV1
    • Error504
    • CompanyResponse
    • CompanySummaryV1
    • CompaniesResponse
    • CompanyFinancialsResponse
    • CompaniesSignalsResponse
    • CompaniesSearchResponse
    • TagV1
    • ListV1
    • CompanyMatchV1
    • ContactResponse
    • CustomFieldV1
    • ContactV1
    • ContactsResponse
    • ContactSummaryV1
    • ContactsSummaryResponse
    • EnrichedIpV1
    • IpEnrichResponse
    • TagsResponse
    • ListsResponse
    • ApiUsageV1
    • ApiUsageResponse
    • Error400
    • TagResponse
    • ListResponse
    • TagDeleteResponse
    • ListDeleteResponse
    • EmptySuccessResponse
    • CustomFieldsResponse
    • CustomFieldResponse
  1. Companies

Retrieve Company IPs

GET
/v1/companies/ips
Fetch known IP addresses associated with a given set of companies, enabling identification of web traffic and network activity linked to those organizations based on the provided company IDs.
Credit Note: Retrieving IP address data consumes 1 credit per company, unless the company's IP data was already accessed within the last 12 months.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Query Params

Responses

🟢200OK
application/json
Success
Body

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠429
🔴500Server Error
🔴504Gateway Timeout
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.leadfeeder.com/v1/companies/ips?account_id=123456&company_ids=4b7e2c9f,5c8f3d0a&max_ip_addresses&include=company' \
--header 'X-Api-Key: <api-key>'
Response Response Example
200 - Success Example
{
    "data": [
        {
            "type": "company_ip",
            "id": "4b7e2c9f",
            "attributes": {
                "ips": [
                    "192.0.2.1-192.0.2.255",
                    "192.0.3.1-192.0.3.255"
                ],
                "ips_extended": [
                    {
                        "start_ip": "192.0.2.1",
                        "end_ip": "192.0.2.255",
                        "confidence_score": "very_high",
                        "location": {
                            "country_code": "DE",
                            "region": "Bavaria",
                            "city": "Munich",
                            "geonames_id": "2867714"
                        }
                    },
                    {
                        "start_ip": "192.0.3.1",
                        "end_ip": "192.0.3.255",
                        "confidence_score": "high",
                        "location": {
                            "country_code": "DE",
                            "region": "Bavaria",
                            "city": "Munich",
                            "geonames_id": "2867714"
                        }
                    }
                ],
                "has_other_group_companies_with_ips": false
            },
            "relationships": {
                "company": {
                    "id": "129011",
                    "type": "company"
                }
            }
        }
    ],
    "meta": {
        "credits": {
            "charged": 1
        },
        "request_id": "abc-123"
    }
}
Modified at 2026-04-17 14:44:03
Previous
Match Companies
Next
Add Company to Lists
Built with